# colorset.cpp File Reference

Template File. More...

`#include "layerparamset.h"`
`#include "valuenodeconstset.h"`
`#include "valuedescconnect.h"`
`#include "waypointsetsmart.h"`
`#include "colorset.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfigapp/main.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT (Action::ColorSetFromOC)
| ACTION_SET_NAME (Action::ColorSetFromOC,"ColorSetFromOC")
| ACTION_SET_LOCAL_NAME (Action::ColorSetFromOC, N_("Apply Outline Color"))
| ACTION_SET_TASK (Action::ColorSetFromOC,"set")
| ACTION_SET_CATEGORY (Action::ColorSetFromOC, Action::CATEGORY_VALUEDESC)
| ACTION_SET_PRIORITY (Action::ColorSetFromOC, 0)
| ACTION_SET_VERSION (Action::ColorSetFromOC,"0.0")
| ACTION_SET_CVS_ID (Action::ColorSetFromOC,"$Id$")
| ACTION_INIT (Action::ColorSetFromFC)
| ACTION_SET_NAME (Action::ColorSetFromFC,"ColorSetFromFC")
| ACTION_SET_LOCAL_NAME (Action::ColorSetFromFC, N_("Apply Fill Color"))
| ACTION_SET_TASK (Action::ColorSetFromFC,"set")
| ACTION_SET_CATEGORY (Action::ColorSetFromFC, Action::CATEGORY_VALUEDESC)
| ACTION_SET_PRIORITY (Action::ColorSetFromFC, 0)
| ACTION_SET_VERSION (Action::ColorSetFromFC,"0.0")
| ACTION_SET_CVS_ID (Action::ColorSetFromFC,"$Id$")

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT | ( | Action::ColorSetFromOC |  | ) |

ACTION_SET_NAME | ( | Action::ColorSetFromOC | ,
|  | "ColorSetFromOC" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::ColorSetFromOC | ,
|  | N_("Apply Outline Color") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::ColorSetFromOC | ,
|  | "set" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::ColorSetFromOC | ,
|  | Action::CATEGORY_VALUEDESC |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::ColorSetFromOC | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::ColorSetFromOC | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::ColorSetFromOC | ,
|  | "$Id$" |  |
| ) |  |  |

ACTION_INIT | ( | Action::ColorSetFromFC |  | ) |

ACTION_SET_NAME | ( | Action::ColorSetFromFC | ,
|  | "ColorSetFromFC" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::ColorSetFromFC | ,
|  | N_("Apply Fill Color") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::ColorSetFromFC | ,
|  | "set" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::ColorSetFromFC | ,
|  | Action::CATEGORY_VALUEDESC |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::ColorSetFromFC | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::ColorSetFromFC | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::ColorSetFromFC | ,
|  | "$Id$" |  |
| ) |  |  |